﻿@using Portal.Models.Globals; 
@using System.Web.UI.WebControls;

<table style="margin-left:10px;">
    <tr>
        <td nowrap="nowrap">Supplier Code TMMIN <b style="color:Red;">*</b></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SupplierConversionGridLookup";
                    gridLookup.Width = Unit.Pixel(108);
                    gridLookup.GridProperties.KeyFieldName = "SUPPLIER_CODE_PLANT";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierConversion", Action = "PartialAddLookupGridSupplierConversion" };
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;

                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_CODE_PLANT";
                        column.FieldName = "SUPPLIER_CODE_PLANT";
                        column.Caption = "Supplier<br />Code";
                        column.Width = Unit.Pixel(80);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    gridLookup.GridProperties.Columns.Add(column =>
                    {
                        column.Name = "SUPPLIER_NAME";
                        column.FieldName = "SUPPLIER_NAME";
                        column.Caption = "Supplier<br />Name";
                        column.Width = Unit.Pixel(350);
                        column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                        column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                    });
                    // gridLookup.ButtonClick = "OnClickEOCHSupplierGridLookup";
                }).Bind(ViewData["GridSupplier"]).GetHtml()
            
        </td>


    </tr>
    <tr>
        <td nowrap="nowrap">Supplier Code ADM <b style="color:Red;">*</b></td>
        <td>
            @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "txtSupplierCodeADM";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = Unit.Pixel(200);
                        settings.Properties.MaxLength = 10;
                    }
                ).GetHtml()
            
        </td>



    </tr>

    <!--------------- Start hidden----------->
    <tr style="display:none">
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {

                    settings.Name = "txtADDorEdit";
                    settings.ControlStyle.Wrap = DefaultBoolean.False;
                    settings.Width = Unit.Pixel(108);
                    settings.Properties.MaxLength = 10;
                   //settings.ClientVisible = false;

                }
            ).GetHtml()
            @Html.DevExpress().TextBox(
                    settings =>
                    {

                        settings.Name = "txtSuppCodeAdmOld";
                        settings.ControlStyle.Wrap = DefaultBoolean.False;
                        settings.Width = Unit.Pixel(108);
                        settings.Properties.MaxLength = 3;

                    }
                ).GetHtml()
                @Html.DevExpress().ComboBox(
                    comboBox =>
                    {

                        comboBox.Name = "txtSuppPlantCodeADMOld"; ;
                        comboBox.Properties.Items.Add("Yes", "1");
                        comboBox.Properties.Items.Add("No", "0");
                        comboBox.SelectedIndex = -1;
                        comboBox.Width = Unit.Pixel(108);

                    }).GetHtml()

        </td>
    </tr>
    <!--------------- End hidden ----------->

    <tr>
        <td nowrap="nowrap">Plant ADM <b style="color:Red;">*</b></td>
        <td>
            @Html.Common().DevExpress().GridLookup(
            gridLookup =>
            {
                gridLookup.Name = "SupplierConversionPlantGridLookup";
                gridLookup.Width = Unit.Pixel(50);
                gridLookup.GridProperties.KeyFieldName = "PlantCode";
                gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierConversion", Action = "PartialHeaderPlantGridHeaderSupplierConversion" };
                gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                gridLookup.ReadOnly = true;
                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "PlantCode";
                    column.FieldName = "PlantCode";
                    column.Caption = "TMMIN<br />Plant Code";
                    column.Width = Unit.Pixel(80);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
                gridLookup.GridProperties.Columns.Add(column =>
                {
                    column.Name = "PlantName";
                    column.FieldName = "PlantName";
                    column.Caption = "Plant<br />Name";
                    column.Width = Unit.Pixel(250);
                    column.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                    column.CellStyle.VerticalAlign = VerticalAlign.Middle;
                });
                // gridLookup.ButtonClick = "OnClickEOCHDockGridLookup";
            }).Bind(ViewData["GridPlanCd"]).GetHtml()
           
        </td>


    </tr>
</table>  
<table>
    <tr align="center">
        <td></td>
        <td></td>
        <td align="center">
            <table>
                <tr>
                    <td width="" 50% align="center">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnSaveSupplierConversion";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Save";
                            btnSettings.Width = 80;
                            btnSettings.UseSubmitBehavior = true;
                            btnSettings.ClientSideEvents.Click = "BeginCallbackAddNew";
                        }
                    ).GetHtml()
                    </td>
                    <td width="50%">
                        @Html.DevExpress().Button(
                        btnSettings =>
                        {
                            btnSettings.Name = "btnCancelNewSupplierConversion";
                            btnSettings.ControlStyle.CssClass = "button";
                            btnSettings.Text = "Cancel";
                            btnSettings.Width = 80;
                            btnSettings.ClientSideEvents.Click = "CancelAddNew";
                        }
                    ).GetHtml()
                    </td>
                </tr>
            </table>
        </td>
    </tr>
</table> 